package com.maintain.business.service;

import com.maintain.business.domain.ErpExamineVehicleModel;
import com.maintain.business.domain.vo.ErpExamineVehicleModelVo;
import com.maintain.business.domain.bo.ErpExamineVehicleModelBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 检验与车型关联Service接口
 *
 * @author liushuai
 * @date 2025-03-28
 */
public interface IErpExamineVehicleModelService {

    /**
     * 查询检验与车型关联
     */
    ErpExamineVehicleModelVo queryById(Long examineId);

    /**
     * 查询检验与车型关联列表
     */
    TableDataInfo<ErpExamineVehicleModelVo> queryPageList(ErpExamineVehicleModelBo bo, PageQuery pageQuery);

    /**
     * 查询检验与车型关联列表
     */
    List<ErpExamineVehicleModelVo> queryList(ErpExamineVehicleModelBo bo);

    /**
     * 新增检验与车型关联
     */
    Boolean insertByBo(ErpExamineVehicleModelBo bo);

    /**
     * 修改检验与车型关联
     */
    Boolean updateByBo(ErpExamineVehicleModelBo bo);

    /**
     * 校验并批量删除检验与车型关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
